import json

from tests.rest import utils
from tests.utils.email_backend import EmailBackend


def test_send_notification(client):
    request_dict = dict(
        send_to={'users': ['teacher1']},
        data={'body': 'Hello from the test!'}
        )
    request_json = json.dumps(request_dict)
    EmailBackend.messages = []
    response = utils.make_request(client, '/notifications/email', data=request_json,
                                  headers={"content-type": "application/json"},
                                  method='post')
    assert response.status_code == 200
    messages = EmailBackend.messages
    assert len(messages) > 0
